summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Hexxend2019-03-03 03:56:07 +0100
committer Willy Sudiarto Raharjo2019-03-16 00:53:12 +0100
commit887d6b889aec5eeeb434a7f96d2ca5a59b8cf43b (patch)
tree0a2501d8728003d02edbf3d436c9f71780975d7c /development
parenta2e2c444eab9634066aabba361d264cc5a0c3097 (diff)
downloadslackbuilds-887d6b889aec5eeeb434a7f96d2ca5a59b8cf43b.tar.gz
development/acc: Added (ZDoom ACS compiler).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/acc/README1
-rw-r--r--development/acc/acc.SlackBuild91
-rw-r--r--development/acc/acc.info10
-rw-r--r--development/acc/slack-desc20
4 files changed, 122 insertions, 0 deletions
diff --git a/development/acc/README b/development/acc/README
new file mode 100644
index 0000000000..95e414557b
--- /dev/null
+++ b/development/acc/README
@@ -0,0 +1 @@
+ACC is an ACS script compiler for use with ZDoom and Hexen.
diff --git a/development/acc/acc.SlackBuild b/development/acc/acc.SlackBuild
new file mode 100644
index 0000000000..0437da986d
--- /dev/null
+++ b/development/acc/acc.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for acc
+
+# Copyright 2019 Hexxend USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=acc
+VERSION=${VERSION:-1.57}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/bin $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/acc157src.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+make
+mv $PRGNAM $PKG/usr/bin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $CWD/README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/acc/acc.info b/development/acc/acc.info
new file mode 100644
index 0000000000..2fbd9409dc
--- /dev/null
+++ b/development/acc/acc.info
@@ -0,0 +1,10 @@
+PRGNAM="acc"
+VERSION="1.57.0"
+HOMEPAGE="https://www.zdoom.org/downloads"
+DOWNLOAD="https://zdoom.org/files/utils/acc/acc157src.zip"
+MD5SUM="a9fc20ca9035c572e4a9579eb0fe85dd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hexxend"
+EMAIL="hexxend@protonmail.com"
diff --git a/development/acc/slack-desc b/development/acc/slack-desc
new file mode 100644
index 0000000000..56a5ee397e
--- /dev/null
+++ b/development/acc/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+acc: acc (ZDoom ACS compiler)
+acc:
+acc: ACC is an ACS script compiler for use with ZDoom and Hexen
+acc: (http://zdoom.org/wiki/ACC)
+acc: Original ACC Version 1.10 by Ben Gokey
+acc: Copyright (c) 1995 Raven Software, Corp.
+acc:
+acc: This is version 1.57 (Mar 2 2019)
+acc: This software is not supported by Raven Software or Activision
+acc: ZDoom changes and language extensions by Randy Heit
+acc: Further changes by Brad Carney
+